@echo off

set version=7.3

echo set bin_version %version% > bin\binversion.tcl

set tclfiles=lib\blankcell.tcl
set tclfiles=%tclfiles% lib\burn.tcl lib\calculator.tcl lib\cmdedit.tcl lib\disasm.tcl lib\utils.tcl
set tclfiles=%tclfiles% lib\fontreq.tcl lib\macros.tcl lib\main.tcl lib\menued.tcl lib\pgceditor.tcl
set tclfiles=%tclfiles% lib\readdvd.tcl lib\srptinfo.tcl lib\streams.tcl lib\stringreq.tcl
set tclfiles=%tclfiles% lib\tk_menu_bugfix.tcl lib\tmap.tcl lib\toolbar.tcl lib\trace.tcl
set tclfiles=%tclfiles% lib\toolscfg.tcl lib\writedvd.tcl lib\winshellext.tcl
set tclfiles=%tclfiles% lib\menubuttons.tcl lib\preview.tcl

echo PgcEdit version %version%

echo .
echo Creating file list...
set fl=FreeWrap_filelist.txt
echo > %fl% lib\blankcell.tcl
echo >>%fl% lib\burn.tcl
echo >>%fl% lib\calculator.tcl
echo >>%fl% lib\cmdedit.tcl
echo >>%fl% lib\disasm.tcl
echo >>%fl% lib\utils.tcl
echo >>%fl% lib\fontreq.tcl
echo >>%fl% lib\macros.tcl
echo >>%fl% lib\main.tcl
echo >>%fl% lib\menus.tcl
echo >>%fl% lib\menued.tcl
echo >>%fl% lib\pgceditor.tcl
echo >>%fl% lib\readdvd.tcl
echo >>%fl% lib\srptinfo.tcl
echo >>%fl% lib\streams.tcl
echo >>%fl% lib\stringreq.tcl
echo >>%fl% lib\tk_menu_bugfix.tcl
echo >>%fl% lib\tmap.tcl
echo >>%fl% lib\toolbar.tcl
echo >>%fl% lib\trace.tcl
echo >>%fl% lib\toolscfg.tcl
echo >>%fl% lib\writedvd.tcl
echo >>%fl% lib\winshellext.tcl
echo >>%fl% lib\menubuttons.tcl
echo >>%fl% lib\preview.tcl

echo >>%fl% lib\data\blank_ntsc_720.vob
echo >>%fl% lib\data\blank_pal_720.vob
echo >>%fl% lib\data\blank_ntsc_704.vob
echo >>%fl% lib\data\blank_pal_704.vob
echo >>%fl% lib\data\blank_ntsc_352.vob
echo >>%fl% lib\data\blank_pal_352.vob
echo >>%fl% lib\data\blank_ntsc_352v.vob
echo >>%fl% lib\data\blank_pal_352v.vob
echo >>%fl% lib\data\new_dvd_video_ts.ifo
echo >>%fl% lib\data\vmg_txtdt_mg_default.sec
echo >>%fl% lib\data\vmgm_pgci_ut_wo_vob.sec
echo >>%fl% lib\data\lang_codes.txt

echo >>%fl% lib\icons\sweetness\burn_dvd.gif
echo >>%fl% lib\icons\sweetness\calculator_converter.gif
echo >>%fl% lib\icons\sweetness\check_dvd_size.gif
echo >>%fl% lib\icons\sweetness\create_backup.gif
echo >>%fl% lib\icons\sweetness\enable_all_operations.gif
echo >>%fl% lib\icons\sweetness\explore_dvd_folder.gif
echo >>%fl% lib\icons\sweetness\find_unused_gprms.gif
echo >>%fl% lib\icons\sweetness\kill_pgc_playback.gif
echo >>%fl% lib\icons\sweetness\new_dvd.gif
echo >>%fl% lib\icons\sweetness\new_pgc.gif
echo >>%fl% lib\icons\sweetness\open_dvd.gif
echo >>%fl% lib\icons\sweetness\open_scratchbook.gif
echo >>%fl% lib\icons\sweetness\preview.gif
echo >>%fl% lib\icons\sweetness\region_code.gif
echo >>%fl% lib\icons\sweetness\reopen_dvd.gif
echo >>%fl% lib\icons\sweetness\restore_backup.gif
echo >>%fl% lib\icons\sweetness\save_dvd.gif
echo >>%fl% lib\icons\sweetness\save_scratchbook.gif
echo >>%fl% lib\icons\sweetness\set_dvd_text.gif
echo >>%fl% lib\icons\sweetness\set_provider_id.gif
echo >>%fl% lib\icons\sweetness\show_menu_buttons.gif
echo >>%fl% lib\icons\sweetness\streams_attributes.gif
echo >>%fl% lib\icons\sweetness\title_play_map_table.gif
echo >>%fl% lib\icons\sweetness\trace.gif
rem echo >>%fl% lib\icons\sweetness2\burn_dvd.gif
rem echo >>%fl% lib\icons\sweetness2\calculator_converter.gif
rem echo >>%fl% lib\icons\sweetness2\check_dvd_size.gif
rem echo >>%fl% lib\icons\sweetness2\create_backup.gif
rem echo >>%fl% lib\icons\sweetness2\enable_all_operations.gif
rem echo >>%fl% lib\icons\sweetness2\explore_dvd_folder.gif
rem echo >>%fl% lib\icons\sweetness2\find_unused_gprms.gif
rem echo >>%fl% lib\icons\sweetness2\kill_pgc_playback.gif
rem echo >>%fl% lib\icons\sweetness2\new_dvd.gif
rem echo >>%fl% lib\icons\sweetness2\new_pgc.gif
rem echo >>%fl% lib\icons\sweetness2\open_dvd.gif
rem echo >>%fl% lib\icons\sweetness2\open_scratchbook.gif
rem echo >>%fl% lib\icons\sweetness2\preview.gif
rem echo >>%fl% lib\icons\sweetness2\region_code.gif
rem echo >>%fl% lib\icons\sweetness2\reopen_dvd.gif
rem echo >>%fl% lib\icons\sweetness2\restore_backup.gif
rem echo >>%fl% lib\icons\sweetness2\save_dvd.gif
rem echo >>%fl% lib\icons\sweetness2\save_scratchbook.gif
rem echo >>%fl% lib\icons\sweetness2\set_dvd_text.gif
rem echo >>%fl% lib\icons\sweetness2\set_provider_id.gif
rem echo >>%fl% lib\icons\sweetness2\show_menu_buttons.gif
rem echo >>%fl% lib\icons\sweetness2\streams_attributes.gif
rem echo >>%fl% lib\icons\sweetness2\title_play_map_table.gif
rem echo >>%fl% lib\icons\sweetness2\trace.gif

echo >>%fl% bin\PgcEditPreview.exe

echo >>%fl% COPYING.txt
echo >>%fl% TODO.txt
echo >>%fl% HISTORY.txt
rem echo >>%fl% README.txt
rem echo >>%fl% LISEZMOI.txt


echo .
echo Converting PgcEdit.tcl to Unix format...
DOS2UNIX PgcEdit.tcl

echo .
echo Making source zip archive...
del PgcEdit_source.zip
if ERRORLEVEL 1 goto ERROR
wzzip -a+ -P -ex PgcEdit_source.zip PgcEdit.tcl lib\icons\PgcEdit.ico @%fl% bin\pskill.exe bin\mkisofs.exe bin\binversion.tcl wrap.cmd PgcEdit_project.prj
if ERRORLEVEL 1 goto ERROR

echo .
echo Making windoze executable...
echo freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% bin\pskill_encrypted.xex bin\mkisofs.exe
C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -i lib\icons\PgcEdit.ico -f %fl% bin\pskill_encrypted.xex bin\mkisofs.exe
if ERRORLEVEL 1 goto ERROR

echo .
echo Making linux executable...
echo freewrap.exe PgcEdit.tcl -w freewrap -f %fl%
rem C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -w C:\Tcl\freeWrap\freewrap -f %fl%
C:\Tcl\freeWrap\freewrap.exe PgcEdit.tcl -w C:\Tcl\freeWrap\freewrap -f %fl%
if ERRORLEVEL 1 goto ERROR
ren PgcEdit pgcedit

echo .
echo Making windoze executable archive...
del "PgcEdit_winexe.zip"
if ERRORLEVEL 1 goto ERROR
wzzip -a+ -P -ex "PgcEdit_winexe.zip" PgcEdit.exe
if ERRORLEVEL 1 goto ERROR

echo .
echo Making Linux executable archive...
del "PgcEdit_linux_exe.zip"
if ERRORLEVEL 1 goto ERROR
wzzip -a+ -P -r -ex "PgcEdit_linux_exe.zip" pgcedit linux_icons
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying source and executables on homepage image...
copy PgcEdit.exe "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit.exe"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit_winexe.zip"
if ERRORLEVEL 1 goto ERROR
copy pgcedit "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\pgcedit_source.zip"
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying source and executables on homepage/versions image...
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\versions\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_winexe.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\versions\PgcEdit_winexe_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_linux_exe.zip "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\versions\PgcEdit_linux_exe_%version%.zip"
if ERRORLEVEL 1 goto ERROR

echo .
echo Copying text files on homepage image...
copy README.txt   "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR
copy LISEZMOI.txt "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR
copy HISTORY.txt  "C:\Documents and Settings\Rol\My Documents\Homepage\home\pgcedit\"
if ERRORLEVEL 1 goto ERROR

echo .
echo Backuping the sources...
copy PgcEdit_source.zip "D:\PgcEdit_backup\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit_source.zip "C:\Documents and Settings\Rol\My Documents\My Scripts\Tcl-Tk\PGCEdit\PgcEdit_source_%version%.zip"
if ERRORLEVEL 1 goto ERROR

echo .
echo Installing PgcEdit...
copy PgcEdit.exe "C:\program files\PgcEdit\"
if ERRORLEVEL 1 goto ERROR
copy PgcEdit.exe "C:\Tcl\work\PGCEDIT\executables\PgcEdit_%version%.exe"
if ERRORLEVEL 1 goto ERROR

echo .
echo Done building PgcEdit %version%
echo Close this window now, or press any key to generate the TclChecker error file.
pause >NUL:

echo .
echo Generating TclChecker error file...
C:\Tcl\bin\tclsh C:\Tcl\bin\tclchecker.tcl %tclfiles% lib\preview.tcl PgcEdit.tcl > TclChecker_errors.txt
rem start PgcEdit
exit

:ERROR
echo ###################################################
echo ####### WARNING: PgcEdit make batch failed! #######
echo ###################################################
pause >NUL:
exit
